* [gentoo-commits] repo/gentoo:master commit in: media-plugins/obs-vkcapture/
@ 2025-01-21 13:54 Jimi Huotari
0 siblings, 0 replies; 2+ messages in thread
From: Jimi Huotari @ 2025-01-21 13:54 UTC (permalink / raw
To: gentoo-commits
commit: f6c93e34d54077945df16e48cae3592874400603
Author: Kai Krakow <kai <AT> kaishome <DOT> de>
AuthorDate: Sat Jul 20 12:56:19 2024 +0000
Commit: Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
CommitDate: Tue Jan 21 13:54:06 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f6c93e34
media-plugins/obs-vkcapture: new package, add 9999
Signed-off-by: Kai Krakow <kai <AT> kaishome.de>
Signed-off-by: Jimi Huotari <chiitoo <AT> gentoo.org>
media-plugins/obs-vkcapture/metadata.xml | 16 +++++
.../obs-vkcapture/obs-vkcapture-9999.ebuild | 76 ++++++++++++++++++++++
2 files changed, 92 insertions(+)
diff --git a/media-plugins/obs-vkcapture/metadata.xml b/media-plugins/obs-vkcapture/metadata.xml
new file mode 100644
index 000000000000..d4d6357bab24
--- /dev/null
+++ b/media-plugins/obs-vkcapture/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>hurikhan77+bgo@gmail.com</email>
+ <name>Kai Krakow</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/nowrep/obs-vkcapture/issues</bugs-to>
+ <remote-id type="github">nowrep/obs-vkcapture</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/media-plugins/obs-vkcapture/obs-vkcapture-9999.ebuild b/media-plugins/obs-vkcapture/obs-vkcapture-9999.ebuild
new file mode 100644
index 000000000000..a5c3c4c2d93d
--- /dev/null
+++ b/media-plugins/obs-vkcapture/obs-vkcapture-9999.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib
+
+DESCRIPTION="OBS Linux Vulkan/OpenGL game capture"
+HOMEPAGE="https://github.com/nowrep/obs-vkcapture"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/nowrep/obs-vkcapture.git"
+else
+ SRC_URI="https://github.com/nowrep/obs-vkcapture/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="X wayland"
+
+REQUIRED_USE="|| ( X wayland )"
+
+COMMON_DEPENDS="
+ >=media-video/obs-studio-30.2.0
+ >=media-libs/libglvnd-1.7.0[X=,${MULTILIB_USEDEP}]
+ X? (
+ x11-libs/libxcb:=[${MULTILIB_USEDEP}]
+ )
+ wayland? (
+ >=dev-libs/wayland-1.22.0
+ )
+"
+DEPEND="${COMMON_DEPENDS}
+ >=media-libs/vulkan-loader-1.3[X=,layers,wayland=,${MULTILIB_USEDEP}]
+ dev-util/vulkan-headers
+ wayland? (
+ >=dev-util/wayland-scanner-1.22.0
+ )
+ X? (
+ x11-libs/libX11
+ )
+"
+RDEPEND="${COMMON_DEPENDS}"
+
+QA_SONAME="
+ /usr/lib/libVkLayer_obs_vkcapture.so
+ /usr/lib64/libVkLayer_obs_vkcapture.so
+"
+
+pkg_postinst() {
+ if [[ $(</sys/module/nvidia_drm/parameters/modeset) != Y ]] 2>/dev/null; then
+ elog "This plugin needs nvidia-drm with modeset configured properly"
+ elog "to capture windows. To enable, edit /etc/modprobe.d/nvidia.conf"
+ elog "and uncomment the nvidia-drm options to enable modeset."
+ elog
+ fi
+
+ elog "This plugin can only capture the game window if you add one of the"
+ elog "following launcher options to the game (Steam as an example):"
+ elog " - OBS_VKCAPTURE=1 %command% (recommended, Vulkan)"
+ elog " - obs-gamecapture %command% (generic, OpenGL and Vulkan)"
+ elog
+ elog "HINT: This may currently not work on wayland with"
+ elog "x11-drivers/nvidia-drivers[kernel-open]"
+}
+
+multilib_src_configure() {
+ if ! multilib_is_native_abi; then
+ local mycmakeargs+=(
+ -DBUILD_PLUGIN=OFF
+ )
+ fi
+ cmake_src_configure
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-plugins/obs-vkcapture/
@ 2025-01-21 13:54 Jimi Huotari
0 siblings, 0 replies; 2+ messages in thread
From: Jimi Huotari @ 2025-01-21 13:54 UTC (permalink / raw
To: gentoo-commits
commit: 2fdcc7e195152ae180ff7be9524ba2f7f1ef5347
Author: Kai Krakow <kai <AT> kaishome <DOT> de>
AuthorDate: Sat Jul 20 12:56:52 2024 +0000
Commit: Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
CommitDate: Tue Jan 21 13:54:06 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2fdcc7e1
media-plugins/obs-vkcapture: add 1.5.1
Closes: https://github.com/gentoo/gentoo/pull/37633
Signed-off-by: Kai Krakow <kai <AT> kaishome.de>
Signed-off-by: Jimi Huotari <chiitoo <AT> gentoo.org>
media-plugins/obs-vkcapture/Manifest | 1 +
.../obs-vkcapture/obs-vkcapture-1.5.1.ebuild | 76 ++++++++++++++++++++++
2 files changed, 77 insertions(+)
diff --git a/media-plugins/obs-vkcapture/Manifest b/media-plugins/obs-vkcapture/Manifest
new file mode 100644
index 000000000000..e050c9a8f41c
--- /dev/null
+++ b/media-plugins/obs-vkcapture/Manifest
@@ -0,0 +1 @@
+DIST obs-vkcapture-1.5.1.tar.gz 60844 BLAKE2B d1e2951ecd0d375940ce8547619507e07be79033f94342babf4a66e51e620c6b0fcc96dd269a6d6a8556d62eda5721502986769c83bd6e38b150c4b77fe411b1 SHA512 9477fd738cdf80e09aad46e58ee5e325aa4f5ae72fbe1cb22918d4910fd997ba2a012ce7ca3b24b1b3734983b94e9b7df391f3deca569a79c90c5d115a1a5eed
diff --git a/media-plugins/obs-vkcapture/obs-vkcapture-1.5.1.ebuild b/media-plugins/obs-vkcapture/obs-vkcapture-1.5.1.ebuild
new file mode 100644
index 000000000000..a5c3c4c2d93d
--- /dev/null
+++ b/media-plugins/obs-vkcapture/obs-vkcapture-1.5.1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib
+
+DESCRIPTION="OBS Linux Vulkan/OpenGL game capture"
+HOMEPAGE="https://github.com/nowrep/obs-vkcapture"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/nowrep/obs-vkcapture.git"
+else
+ SRC_URI="https://github.com/nowrep/obs-vkcapture/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="X wayland"
+
+REQUIRED_USE="|| ( X wayland )"
+
+COMMON_DEPENDS="
+ >=media-video/obs-studio-30.2.0
+ >=media-libs/libglvnd-1.7.0[X=,${MULTILIB_USEDEP}]
+ X? (
+ x11-libs/libxcb:=[${MULTILIB_USEDEP}]
+ )
+ wayland? (
+ >=dev-libs/wayland-1.22.0
+ )
+"
+DEPEND="${COMMON_DEPENDS}
+ >=media-libs/vulkan-loader-1.3[X=,layers,wayland=,${MULTILIB_USEDEP}]
+ dev-util/vulkan-headers
+ wayland? (
+ >=dev-util/wayland-scanner-1.22.0
+ )
+ X? (
+ x11-libs/libX11
+ )
+"
+RDEPEND="${COMMON_DEPENDS}"
+
+QA_SONAME="
+ /usr/lib/libVkLayer_obs_vkcapture.so
+ /usr/lib64/libVkLayer_obs_vkcapture.so
+"
+
+pkg_postinst() {
+ if [[ $(</sys/module/nvidia_drm/parameters/modeset) != Y ]] 2>/dev/null; then
+ elog "This plugin needs nvidia-drm with modeset configured properly"
+ elog "to capture windows. To enable, edit /etc/modprobe.d/nvidia.conf"
+ elog "and uncomment the nvidia-drm options to enable modeset."
+ elog
+ fi
+
+ elog "This plugin can only capture the game window if you add one of the"
+ elog "following launcher options to the game (Steam as an example):"
+ elog " - OBS_VKCAPTURE=1 %command% (recommended, Vulkan)"
+ elog " - obs-gamecapture %command% (generic, OpenGL and Vulkan)"
+ elog
+ elog "HINT: This may currently not work on wayland with"
+ elog "x11-drivers/nvidia-drivers[kernel-open]"
+}
+
+multilib_src_configure() {
+ if ! multilib_is_native_abi; then
+ local mycmakeargs+=(
+ -DBUILD_PLUGIN=OFF
+ )
+ fi
+ cmake_src_configure
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2025-01-21 13:55 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-01-21 13:54 [gentoo-commits] repo/gentoo:master commit in: media-plugins/obs-vkcapture/ Jimi Huotari
-- strict thread matches above, loose matches on Subject: below --
2025-01-21 13:54 Jimi Huotari
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox